# $Revision: 1.19 $, $Date: 2009/07/15 06:40:51 $
Summary:	Render protocol and ancillary headers
Summary(pl.UTF-8):	Nagłówki protokołu Render i pomocnicze
Name:		xorg-proto-renderproto
Version:	0.11
Release:	1
License:	MIT
Group:		X11/Development/Libraries
Source0:	http://xorg.freedesktop.org/releases/individual/proto/renderproto-%{version}.tar.bz2
# Source0-md5:	b160a9733fe91b666e74fca284333148
Patch0:		%{name}-undefined_XID.patch
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	xorg-util-util-macros
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Render protocol and ancillary headers.

%description -l pl.UTF-8
Nagłówki protokołu Render i pomocnicze.

%package devel
Summary:	Render protocol and ancillary headers
Summary(pl.UTF-8):	Nagłówki protokołu Render i pomocnicze
Group:		X11/Development/Libraries
Requires:	xorg-proto-xproto-devel
Obsoletes:	render
Obsoletes:	renderext

%description devel
Render protocol and ancillary headers.

%description devel -l pl.UTF-8
Nagłówki protokołu Render i pomocnicze.

%prep
%setup -q -n renderproto-%{version}
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files devel
%defattr(644,root,root,755)
%doc COPYING ChangeLog
%{_includedir}/X11/extensions/*.h
%{_pkgconfigdir}/renderproto.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-proto-renderproto.spec,v $
Revision 1.19  2009/07/15 06:40:51  arekm
- up to 0.11

Revision 1.18  2007/09/26 21:13:17  radek
- release 2: added -undefined_XID.patch (xorg 1.3 doesn't build without this)

Revision 1.17  2007/09/01 07:34:05  arekm
- up to 0.9.3

Revision 1.16  2007/02/12 22:09:24  glen
- tabs in preamble

Revision 1.15  2007/02/12 01:06:40  baggins
- converted to UTF-8

Revision 1.14  2006/05/14 17:11:09  arekm
- no more X11R7.0 in setup

Revision 1.13  2006/05/08 17:07:57  arekm
- update md5sum for individual files.

Revision 1.12  2006/05/08 17:00:03  arekm
- switch to individual files

Revision 1.11  2006/02/03 20:26:25  pluto
- release 1.

Revision 1.10  2005/12/22 13:38:18  qboosh
- sources from X11R7.0 release

Revision 1.9  2005/12/20 10:28:55  qboosh
- 0.9.2 (X11R7.0-RC4)

Revision 1.8  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.7  2005/10/20 12:51:06  qboosh
- BR: autoconf >= 2.57

Revision 1.6  2005/10/20 11:44:19  qboosh
- 0.9.1 (X11R7.0-RC1)

Revision 1.5  2005/08/27 19:32:50  wiget
- kill /usr/X11R6

Revision 1.4  2005/08/27 17:42:48  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.3  2005/08/27 16:12:43  qboosh
- cleanups

Revision 1.2  2005/08/17 20:16:28  qboosh
- Obsoletes for old xlibs packages

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.1  2005/08/14 22:46:41  arekm
- modular xorg specs

* Thu Aug 11 2005 12:58:56  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- fixed summaries and descriptions
- defined %%{_prefix}
- release 0.02

* Fri Aug  5 2005 10:42:09  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- initial release
